ServerSecureConnection (Java Card API, Connected Edition)
Date: 2009-12-11

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javacardx.io
Interface ServerSecureConnection

All Superinterfaces:
  Connection, ServerSocketConnection, StreamConnectionNotifier

    @TransactionType(value=NOT_SUPPORTED)
    public interface ServerSecureConnection

extends ServerSocketConnection

This interface defines the server secure socket stream connection.

A server secure socket is accessed using a generic connection string with the host omitted. For example, `ssl://:79` defines an inbound server secure socket on port `79`.

The `acceptAndOpen()` method returns a `SecureConnection` instance.

Server secure socket connections retrieve the credentials to be used for establishing the underlying SSL/TLS secure session from the credential managers set globally/statically for the application. The credentials retrieved from the credential managers are those set for GCF operations and applicable to the connection URL (endpoint URI).

Access to server secure socket connections may be restricted by the security policy of the device. `Connector.open` MUST check access for the initial server socket connection and `acceptAndOpen` MUST check before returning each new `SecureConnection`.

## BNF Format for Connector.open() string

The URI must conform to the BNF syntax specified below. If the URI does not conform to this syntax, an `IllegalArgumentException` is thrown.

<secure_connection_string> | ::= "ssl://" | "ssl://"<hostport>
<hostport> | ::= host ":" port
<host> | ::= omitted for inbound connections, See SecureConnection
<port> | ::= numeric port number (omitted for system assigned port)

Since:
  Java Card 3.0
See Also:
  `SecureConnection`, `ServerSocketConnection`, `CredentialManager`, `ConnectorPermission`

Method Summary

Methods inherited from interface javax.microedition.io.ServerSocketConnection
`getLocalAddress, getLocalPort`

Methods inherited from interface javax.microedition.io.StreamConnectionNotifier
`acceptAndOpen`

Methods inherited from interface javax.microedition.io.Connection
`close`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2009 Sun Microsystems, Inc. All rights reserved.